{
  "accUserMode" : 2,
  "caption" : "书",
  "codeName" : "bookUsr04227541GridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr04227541GridView.json",
  "gridRowActiveMode" : 2,
  "name" : "bookUsr04227541GridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "Usr04227541GridView",
  "getPSDEViewId" : "14772D66-4667-4005-A331-CA02675FCABA",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic"
    } ],
    "codeName" : "Usr0422482041",
    "controlType" : "VIEWLAYOUTPANEL",
    "hookEventNames" : [ "ONCLICK", "ONLOADSUCCESS", "ONENTER", "ONCHANGE" ],
    "layoutMode" : "FLEX",
    "logicName" : "Usr04227541GridView表格视图布局",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "onClick",
      "logicTag" : "layoutpanel",
      "logicType" : "SCRIPT",
      "name" : "logic",
      "scriptCode" : "console.log('定时器触发')",
      "triggerType" : "TIMER"
    }, {
      "eventNames" : "onLoadSuccess",
      "itemName" : "view_header",
      "logicTag" : "layoutpanel",
      "logicType" : "SCRIPT",
      "name" : "logic1",
      "scriptCode" : "console.log('面板事件触发')"
    }, {
      "eventNames" : "onLoadSuccess",
      "itemName" : "GRID",
      "logicTag" : "layoutpanel",
      "logicType" : "SCRIPT",
      "name" : "logic2",
      "scriptCode" : "console.log('部件事件触发')"
    }, {
      "eventNames" : "onEnter",
      "itemName" : "CONTAINER",
      "logicTag" : "layoutpanel",
      "logicType" : "APPDEUIACTION",
      "name" : "logic22",
      "getPSAppDEUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "前台打印",
        "codeName" : "frontPrint",
        "frontProcessType" : "PRINT",
        "fullCodeName" : "Book_frontPrint",
        "name" : "前台打印",
        "getPSAppDEPrint" : {
          "modelref" : true,
          "id" : "Print"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "uIActionMode" : "FRONT",
        "uIActionTag" : "frontPrint",
        "uIActionType" : "DEUIACTION",
        "id" : "frontPrint@Book"
      }
    }, {
      "eventNames" : "onClick",
      "itemName" : "FIELD_TEXT_DYNAMIC",
      "logicTag" : "layoutpanel",
      "logicType" : "SCRIPT",
      "name" : "logic3",
      "scriptCode" : "console.log('面板事件触发-点击事件')"
    }, {
      "eventNames" : "onChange",
      "itemName" : "FIELD_TEXT_DYNAMIC",
      "logicTag" : "layoutpanel",
      "logicType" : "SCRIPT",
      "name" : "logic4",
      "scriptCode" : "console.log('部件事件触发-值变更事件')"
    }, {
      "eventNames" : "onClick",
      "logicTag" : "layoutpanel",
      "logicType" : "SCRIPT",
      "name" : "logic5",
      "scriptCode" : "console.log('自定义')",
      "triggerType" : "CUSTOM"
    } ],
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container",
      "getPSControlLogics" : [ {
        "itemName" : "CONTAINER",
        "logicTag" : "layoutpanel",
        "logicType" : "SCRIPT",
        "name" : "logic6",
        "scriptCode" : "console.log('项显示逻辑')",
        "triggerType" : "ITEMVISIBLE"
      }, {
        "itemName" : "CONTAINER",
        "logicTag" : "layoutpanel",
        "logicType" : "SCRIPT",
        "name" : "logic7",
        "scriptCode" : "console.log('项启用逻辑')",
        "triggerType" : "ITEMENABLE"
      }, {
        "itemName" : "CONTAINER",
        "logicTag" : "layoutpanel",
        "logicType" : "SCRIPT",
        "name" : "logic8",
        "scriptCode" : "console.log('项空输入逻辑')",
        "triggerType" : "ITEMBLANK"
      }, {
        "itemName" : "CONTAINER",
        "logicTag" : "layoutpanel",
        "logicType" : "SCRIPT",
        "name" : "logic9",
        "scriptCode" : "console.log('项动态样式表')",
        "triggerType" : "ITEMDYNACLASS"
      } ],
      "getPSControlRenders" : [ {
        "layoutPanelModel" : "console.log('绘制器')",
        "name" : "logic11",
        "renderType" : "LAYOUTPANEL_MODEL"
      } ],
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      }
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_header",
      "getPSLayout" : {
        "align" : "space-between",
        "dir" : "row",
        "layout" : "FLEX",
        "vAlign" : "center"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_left",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_captionbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "captionbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_right",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_toolbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "工具栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "toolbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      } ],
      "predefinedType" : "VIEWHEADER"
    }, {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field_text_dynamic",
      "getPSControlRenders" : [ {
        "layoutPanelModel" : "`<h1>${data.title}</hl>`",
        "name" : "logic13",
        "renderType" : "LAYOUTPANEL_MODEL"
      } ],
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field_text_dynamic"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      }
    }, {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_searchform",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "搜索表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "searchform",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_content",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "表格",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "grid",
        "getPSControlAttributes" : [ {
          "attrName" : "name",
          "attrValue" : "console.log('注入属性')",
          "name" : "logic10"
        } ],
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ],
      "predefinedType" : "VIEWCONTENT"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "2AF8FDB3-B211-45F3-86C1-6A07674BE25D",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "GridView",
      "name" : "engine"
    } ],
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "newdata",
      "getPSAppUILogic" : {
        "actionAfterWizard" : "DEFAULT",
        "logicType" : "PREDEFINED",
        "name" : "新建数据",
        "getNewDataPSAppView" : {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "viewLogicType" : "APP_NEWDATA",
        "batchAddOnly" : false,
        "enableBatchAdd" : false,
        "enableWizardAdd" : false
      }
    }, {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "opendata",
      "getPSAppUILogic" : {
        "logicType" : "PREDEFINED",
        "name" : "打开数据",
        "getOpenDataPSAppView" : {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookRedirectView.json",
            "viewType" : "DEREDIRECTVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookRedirectView.json",
            "viewType" : "DEREDIRECTVIEW"
          }
        } ],
        "viewLogicType" : "APP_OPENDATA",
        "editMode" : true
      }
    } ],
    "getPSAppViewRefs" : [ {
      "name" : "EDITDATA",
      "realTitle" : "书数据重定向视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookRedirectView.json",
        "viewType" : "DEREDIRECTVIEW"
      }
    }, {
      "name" : "NEWDATA",
      "realTitle" : "书编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControls" : [ {
      "codeName" : "Usr04227541GridViewtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "面板项脚本_工具栏",
      "name" : "toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "TOOLBAR"
      },
      "xDataControlName" : "grid",
      "modelid" : "22161EBF-781D-49A3-81D4-87BCB2859586",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "aggMode" : "NONE",
      "codeName" : "Usr04227541GridView_Grid",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlType" : "GRID",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSGRIDS/Usr04227541GridView_Grid.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "groupMode" : "NONE",
      "logicName" : "面板项脚本_表格",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "GRID"
      },
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "书名称",
        "codeName" : "bookname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "bookname",
        "excelCaption" : "书名称",
        "name" : "bookname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "caption" : "更新人",
        "codeName" : "updateman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updateman",
        "excelCaption" : "更新人",
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updatedate",
        "excelCaption" : "更新时间",
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "bookname",
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        }
      }, {
        "dataType" : 25,
        "name" : "updateman",
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        }
      }, {
        "format" : "YYYY-MM-DD HH:mm:ss",
        "dataType" : 5,
        "name" : "updatedate",
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "BOOKID",
          "codeName" : "BookId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "BOOKID",
          "codeName" : "BookId"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 25,
        "name" : "phoneid",
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      }, {
        "dataType" : 25,
        "name" : "pbookid",
        "getPSAppDEField" : {
          "name" : "PBOOKID",
          "codeName" : "Pbookid"
        }
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "BOOKNAME",
          "codeName" : "BookName"
        }
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "书标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "BOOKID",
          "codeName" : "BookId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "pagingMode" : 1,
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      },
      "sortMode" : "REMOTE",
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : true,
      "enableRowEdit" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "grid",
      "modelid" : "1A8F224F-D43D-4CE6-A4FE-AE20B3847C7D",
      "modeltype" : "PSDEGRID"
    }, {
      "codeName" : "Usr04227541GridView_SearchForm",
      "controlType" : "SEARCHFORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHFORMS/Usr04227541GridView_SearchForm.json",
      "logicName" : "面板项脚本_搜索表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionType" : "FILTERACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGet"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "search",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterSearch"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "搜索表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "SEARCHFORM"
      },
      "getPSDEFormPages" : [ {
        "caption" : "常规条件",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "searchButtonStyle" : "DEFAULT",
      "tabHeaderPos" : "TOP",
      "enableAdvanceSearch" : false,
      "enableAutoSearch" : false,
      "enableFilterSave" : false,
      "noTabHeader" : true,
      "name" : "searchform",
      "modelid" : "5B7F2A71-A53F-4D2D-9A6B-EE8103860E37",
      "modeltype" : "PSDEFORM_SEARCHFORM"
    }, {
      "controlType" : "SEARCHBAR",
      "name" : "searchbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "searchbar"
      },
      "quickGroupCount" : -1,
      "quickSearchMode" : 1,
      "quickSearchWidth" : 0,
      "enableFilter" : false,
      "enableGroup" : false,
      "enableQuickSearch" : true,
      "mobileSearchBar" : false
    }, {
      "caption" : "书",
      "codeName" : "Usr04227541GridViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "面板项脚本",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "modelid" : "b1ed132989a061d37115de784247bae9",
  "modeltype" : "PSAPPDEVIEW"
}